import QtQml 2.15
import QtQuick 2.15
import org.ukui.quick.platform 1.0
DtThemeDefinition {
    id: dtTheme

    property color highlightedTextInactive: kFontWhite
    property color brightTextInactive: kFontStrong
    property color brightTextDisable: kFontStrong
    property color kFontWhiteSecondaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color baseActive: Qt.rgba(30/255, 30/255, 30/255, 1)
    property var kErrorClick : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(236/255, 51/255, 76/255, 1)
    }
    property color noRoleDisable: kGray5
    property var linkVisitedInactive : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(120/255, 115/255, 245/255, 1)
    }
    property color windowActive: kGray2
    property color kBlack: Qt.rgba(0/255, 0/255, 0/255, 1)
    property color darkDisable: kGray1
    property color kGrayAlpha5: Qt.rgba(255/255, 255/255, 255/255, 0.18)
    property var kSuccessHover : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(101/255, 233/255, 68/255, 1)
    }
    property color kGray4: Qt.rgba(60/255, 60/255, 60/255, 1)
    property color kGray8: Qt.rgba(95/255, 95/255, 95/255, 1)
    property color kComponentDisable: kGray4
    property color kGray6: Qt.rgba(74/255, 74/255, 74/255, 1)
    property color noRoleInactive: kGray1
    property color kSuccessDisable: buttonDisable
    property color lightActive: KWhite
    property color windowInactive: kGray2
    property color kGrayAlpha3: Qt.rgba(255/255, 255/255, 255/255, 0.1)
    property color placeholderTextActive: Qt.rgba(255/255, 255/255, 255/255, 0.5)
    property color kBrand1: Qt.rgba(62/255, 118/255, 247/255, 1)
    property color kWarningDisable: buttonDisable
    property color kLineBrandDisable: Qt.rgba(114/255, 46/255, 209/255, 0)
    property var kComponentClick : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(115/255, 115/255, 115/255, 1)
    }
    property color kGrayAlpha13: Qt.rgba(255/255, 255/255, 255/255, 0.4)
    property color toolTipTextInactive: kFontPrimary
    property var kComponentAlphaClick : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(255/255, 255/255, 255/255, 0.2)
    }
    property color kGray11: Qt.rgba(125/255, 125/255, 125/255, 1)
    property color kLineWindowInacitive: kGrayAlpha3
    property color windowTextActive: kFontPrimary
    property var kWarningHover : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(255/255, 202/255, 79/255, 1)
    }
    property color alternateBaseActive: kGray2
    property var kBrandHover : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(120/255, 115/255, 245/255, 1)
    }
    property var kComponentAlphaHover : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(255/255, 255/255, 255/255, 0.15)
    }
    property color highlightInactive: kBrandNormal
    property color noRoleActive: kGray1
    property color darkInactive: KBlack
    property color kLineNormal: kGrayAlpha3
    property color buttonTextActive: kFontPrimary
    property color windowTextDisable: kFontPrimaryDisable
    property color windowTextInactive: kFontSecondaryDisable
    property color linkDisable: kFontPrimaryDisable
    property var kContainClick : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.02)
        gradientBackground : Qt.rgba(60/255, 60/255, 60/255, 1)
    }
    property color kGrayAlpha0: Qt.rgba(255/255, 255/255, 255/255, 0)
    property color kGrayAlpha9: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kGray10: Qt.rgba(115/255, 115/255, 115/255, 1)
    property color kGrayAlpha12: Qt.rgba(255/255, 255/255, 255/255, 0.03)
    property color kLineBrandNormal: Qt.rgba(114/255, 46/255, 209/255, 0)
    property color kGrayAlpha4: Qt.rgba(255/255, 255/255, 255/255, 0.15)
    property color linkInactive: kBrandNormal
    property color kWhite: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kModalMask: Qt.rgba(0/255, 0/255, 0/255, 0.2)
    property color kGrayAlpha7: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color kGray9: Qt.rgba(105/255, 105/255, 105/255, 1)
    property color alternateBaseDisable: kGray2
    property color buttonTextDisable: kFontPrimaryDisable
    property color kFontSecondary: Qt.rgba(255/255, 255/255, 255/255, 0.65)
    property var kBrandFocus : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientBackground : Qt.rgba(120/255, 115/255, 245/255, 1)
    }
    property var linkVisitedActive : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(120/255, 115/255, 245/255, 1)
    }
    property color kGrayAlpha11: Qt.rgba(255/255, 255/255, 255/255, 0.55)
    property color buttonDisable: kGray4
    property color kGray16: Qt.rgba(220/255, 220/255, 220/255, 1)
    property color kGray14: Qt.rgba(185/255, 185/255, 185/255, 1)
    property color kBrand7: Qt.rgba(246/255, 137/255, 54/255, 1)
    property color kGrayAlpha1: Qt.rgba(255/255, 255/255, 255/255, 0.05)
    property color kGray15: Qt.rgba(200/255, 200/255, 200/255, 1)
    property color kLineComponentNormal: kGrayAlpha0
    property color kBrandDisable: buttonDisable
    property color kLineWindowActive: kGrayAlpha3
    property color kContainSecondaryNormal: kGray2
    property color kContainSecondaryAlphaNormal: kGrayAlpha12
    property color kGray5: Qt.rgba(68/255, 68/255, 68/255, 1)
    property color lightInactive: KWhite
    property color buttonTextInactive: kFontPrimary
    property color kFontWhiteDisable: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kLineComponentClick: kGrayAlpha0
    property color kGray17: Qt.rgba(240/255, 240/255, 240/255, 1)
    property color kWarningNormal: Qt.rgba(255/255, 202/255, 79/255, 1)
    property color midLightActive: kGray7
    property color kLineDisable: kGrayAlpha1
    property var kWarningClick : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(255/255, 202/255, 79/255, 1)
    }
    property color highlightDisable: kGray4
    property color midLightDisable: kGray6
    property color toolTipTextDisable: kFontPrimary
    property color kBrand5: Qt.rgba(101/255, 233/255, 68/255, 1)
    property color buttonActive: kGray6
    property color kFontPrimaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property var kComponentHover : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(84/255, 84/255, 84/255, 1)
    }
    property color kGray3: Qt.rgba(54/255, 54/255, 54/255, 1)
    property color tokenColor: Qt.rgba(46/255, 46/255, 46/255, 0.65)
    property color kGray2: Qt.rgba(46/255, 46/255, 46/255, 1)
    property color kGrayAlpha2: Qt.rgba(255/255, 255/255, 255/255, 0.08)
    property color kGrayAlpha8: Qt.rgba(255/255, 255/255, 255/255, 0.28)
    property color textInactive: kFontPrimary
    property color kComponentAlphaDisable: kGrayAlpha2
    property color darkActive: KBlack
    property color baseDisable: Qt.rgba(60/255, 60/255, 60/255, 1)
    property color kFontSecondaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color kLineComponentHover: kGrayAlpha0
    property color kFontPrimary: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property color toolTipTextActive: kFontPrimary
    property var kContainHover : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(54/255, 54/255, 54/255, 1)
    }
    property color midLightInactive: kGray7
    property var kBrandClick : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(120/255, 115/255, 245/255, 1)
    }
    property color alternateBaseInactive: kGray2
    property color shadowActive: Qt.rgba(255/255, 255/255, 255/255, 0.4)
    property color lightDisable: kGray16
    property color shadowDisable: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color kBrand3: Qt.rgba(243/255, 3/255, 151/255, 1)
    property color kDivider: kGrayAlpha3
    property color toolTipBaseDisable: kGray0
    property color kErrorDisable: buttonDisable
    property color placeholderTextInactive: Qt.rgba(255/255, 255/255, 255/255, 0.5)
    property color kLineComponentDisable: kGrayAlpha0
    property color kErrorNormal: Qt.rgba(236/255, 51/255, 76/255, 1)
    property color kContainGeneralAlphaNormal: kGrayAlpha0
    property color buttonInactive: kGray6
    property color midInactive: kGray3
    property color kBrand4: Qt.rgba(255/255, 202/255, 79/255, 1)
    property color kComponentNormal: kGray6
    property color windowDisable: kGray3
    property color tokenColor1: Qt.rgba(30/255, 30/255, 30/255, 0.65)
    property color kSuccessNormal: Qt.rgba(101/255, 233/255, 68/255, 1)
    property color kGray0: Qt.rgba(30/255, 30/255, 30/255, 1)
    property var kContainAlphaClick : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(252/255, 252/255, 252/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(255/255, 255/255, 255/255, 0.08)
    }
    property color placeholderTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.5)
    property var kSuccessClick : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(101/255, 233/255, 68/255, 1)
    }
    property color kGrayAlpha10: Qt.rgba(255/255, 255/255, 255/255, 0.35)
    property color shadowInactive: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color linkvisitedDisable: kFontPrimaryDisable
    property color kLineBrandClick: Qt.rgba(114/255, 46/255, 209/255, 0)
    property color kFontWhite: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kGray7: Qt.rgba(84/255, 84/255, 84/255, 1)
    property color kGray13: Qt.rgba(160/255, 160/255, 160/255, 1)
    property color kBrandNormal: Qt.rgba(120/255, 115/255, 245/255, 1)
    property color kGray12: Qt.rgba(135/255, 135/255, 135/255, 1)
    property color kBrand2: Qt.rgba(120/255, 115/255, 245/255, 1)
    property color midActive: kGray3
    property color highlightedTextDisable: kFontPrimaryDisable
    property color toolTipBaseInactive: kGray0
    property color toolTipBaseActive: kGray0
    property color kGray1: Qt.rgba(34/255, 34/255, 34/255, 1)
    property color textActive: kFontPrimary
    property color baseInactive: Qt.rgba(34/255, 34/255, 34/255, 1)
    property color linkActive: kBrandNormal
    property color kBrand6: Qt.rgba(220/255, 49/255, 34/255, 1)
    property var kContainAlphaHover : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(255/255, 255/255, 255/255, 0.05)
    }
    property color kGrayAlpha6: Qt.rgba(255/255, 255/255, 255/255, 0.2)
    property color kFontStrong: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kComponentAlphaNormal: kGrayAlpha3
    property color highlightedTextActive: kFontWhite
    property color brightTextActive: kFontStrong
    property color kLineBrandHover: Qt.rgba(114/255, 46/255, 209/255, 0)
    property var kErrorHover : GradientColor {
        gradientDeg : 180
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(236/255, 51/255, 76/255, 1)
    }
    property color highlightActive: kBrandNormal
    property color midDisable: kGray5
    property color textDisable: kFontPrimaryDisable
    property color kFontWhiteSecondary: Qt.rgba(255/255, 255/255, 255/255, 0.65)
    property color kContainGeneralNormal: kGray0
    property int tokenFontsize12: 12
    property int tokenFontsize24: 24
    property int tokenFontsize14: 14
    property int tokenFontsize16: 16
    property int tokenFontsize18: 18
    property int focusLine: 2
    property int normalLine: 1
    property int tokenGap24: 24
    property int tokenGap40: 40
    property int tokenGap4: 4
    property int tokenGap8: 8
    property int tokenGap16: 16
    property int kRadiusMin: 4
    property int kRadiusWindow: 12
    property int kRadiusNormal: 6
    property int kRadiusMenu: 8
}
